Skip to content
Last updated

DomainRelease

Sends the Release command to the registrar for the domain to a new tag

Connects to the registrar and attempts to release the domain.

Request Parameters

ParameterTypeDescriptionRequired
actionstring"DomainRelease"Required
domainidintThe id of the domain to be released recommendedOptional
domainstringThe domain name to be released. This or $domainid is requiredOptional
newtagstringThe receiving tag for the domainRequired

Response Parameters

ParameterTypeDescription
resultstringThe result of the operation: success or error

Example Request (CURL)

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://www.example.com/includes/api.php');
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS,
    http_build_query(
        array(
            'action' => 'DomainRelease',
            // See https://developers.whmcs.com/api/authentication
            'username' => 'IDENTIFIER_OR_ADMIN_USERNAME',
            'password' => 'SECRET_OR_HASHED_PASSWORD',
            'domainid' => '1',
            'newtag' => 'ENOM',
            'responsetype' => 'json',
        )
    )
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($ch);
curl_close($ch);

Example Request (Local API)

$command = 'DomainRelease';
$postData = array(
    'domainid' => '1',
    'newtag' => 'ENOM',
);
$adminUsername = 'ADMIN_USERNAME'; // Optional for WHMCS 7.2 and later

$results = localAPI($command, $postData, $adminUsername);
print_r($results);

Example Response JSON

{
    "result": "success"
}

Error Responses

Possible error condition responses include:

  • Domain Not Found
  • Registrar Error Message

Version History

VersionChangelog
1.0Initial Version